package org.openxma.dsl.generator.impl;

import java.util.Map;

import org.eclipse.emf.ecore.EObject;

import com.google.inject.ImplementedBy;

@ImplementedBy(FaceletImpl.class)
public interface Facelet {

    CharSequence createContents(EObject composite);
    
    Map<CharSequence, CharSequence> getPageResourceProperties(EObject composite);

    Map<CharSequence, CharSequence> getFieldClientIds(EObject composite);
}